Is the installed CIMTLOAD load library compatible with different versions of IMS RESLIB?

Document ID : KB000091773
Last Modified Date : 10/05/2018
Show Technical Document Details
Question:
Having installed the CA Database Management Solutions for IMS in an environment with IMS v13 RESLIB, how will the products be impacted if we then upgrade IMS?

In the IMS Compatibility matrix it says that release r20 is compatible with IMS V13, V14, and V15.
Answer:
The r20 load library is compatible with IMS v13, v14 and v15. It can therefore be processed against a v13, v14 or v15 RESLIB. For any IMS version specific code we provide a 'suffixed' load/object module for each supported version of IMS. For example, in the CIMTLOAD you will find modules ETMNDMXL, ETMNDMXM and ETMNDMXN. The suffixes of L, M and N are for IMS versions 13, 14 and 15 respectively. A front end module then determines the release of IMS at run-time and calls the appropriate module.